Page MenuHomePhabricator

T7. Flow support for the mediawiki.feedback form
Closed, ResolvedPublic2 Story Points

Description

VisualEditor has a feedback-form built in. Flow needs to support it.

This currently results in this edit:
https://www.mediawiki.org/w/index.php?title=VisualEditor/Feedback&diff=1435862&oldid=1433363

which the CLs then have to manually cut&paste into LQT.


The form should result in a Flow Post that includes:

  • the user-entered Title,
  • the user-entered Post,
  • and adds the automated useragent details (e.g. :<small>User agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:36.0) Gecko/20100101 Firefox/36.0</small>) to the post (top or bottom)

See also (or possibly duplicate of? but hey, screenshots!) :

Related Objects

Event Timeline

Quiddity created this task.Mar 6 2015, 7:50 PM
Quiddity raised the priority of this task from to Needs Triage.
Quiddity updated the task description. (Show Details)
Quiddity added subscribers: Quiddity, Elitre.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 6 2015, 7:50 PM
Jdforrester-WMF renamed this task from Flow support for VisualEditor's mediawiki.feedback form to Flow support for the mediawiki.feedback form.Mar 6 2015, 11:14 PM
Jdforrester-WMF set Security to None.

Also, nothing VE-specific; this is MediaWiki core's code that Flow doesn't work with. :-)

Mattflaschen-WMF reopened this task as Open.Mar 11 2015, 11:19 PM

We decided (with advice from @Legoktm) not to rely on the shim for now. We'll address this directly, probably with some kind of plugin/hook approach (since mediawiki.feedback is in core and Flow is an extension).

Let's estimate this tomorrow at standup.

EBernhardson edited a custom field.Mar 12 2015, 5:43 PM
EBernhardson added a subscriber: EBernhardson.

Implement some sort of plugability that allows Flow to integrate into the core js

EBernhardson triaged this task as Normal priority.Mar 12 2015, 5:44 PM
DannyH renamed this task from Flow support for the mediawiki.feedback form to T7. Flow support for the mediawiki.feedback form.Mar 25 2015, 7:33 PM
DannyH raised the priority of this task from Normal to High.

Change 200801 had a related patch set uploaded (by Mattflaschen):
Add pluggable talk page poster and use it for mediawiki.feedback

https://gerrit.wikimedia.org/r/200801

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMar 31 2015, 3:30 AM

Change 201234 had a related patch set uploaded (by Mattflaschen):
Add Flow MessagePoster

https://gerrit.wikimedia.org/r/201234

Change 200801 merged by jenkins-bot:
Add pluggable talk page poster and use it for mediawiki.feedback

https://gerrit.wikimedia.org/r/200801

Change 201234 merged by jenkins-bot:
Add Flow MessagePoster

https://gerrit.wikimedia.org/r/201234

Change 202258 had a related patch set uploaded (by EBernhardson):
Add pluggable talk page poster and use it for mediawiki.feedback

https://gerrit.wikimedia.org/r/202258

Change 202259 had a related patch set uploaded (by EBernhardson):
Add Flow MessagePoster

https://gerrit.wikimedia.org/r/202259

Change 202259 merged by EBernhardson:
Add Flow MessagePoster

https://gerrit.wikimedia.org/r/202259

Mattflaschen-WMF closed this task as Resolved.Apr 7 2015, 12:03 AM

Change 202258 merged by jenkins-bot:
Add pluggable talk page poster and use it for mediawiki.feedback

https://gerrit.wikimedia.org/r/202258